package com.goer.common.utils.fisok.raw.lang;

import java.text.MessageFormat;

/**
 * @author : goer
 * @date : 2022/1/25
 * @desc :
 */
public class RawException extends RuntimeException{

    private static final long serialVersionUID = -2049467256019982005L;
    private String code = "0";


    public RawException() {
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public RawException(String message) {
        super(message);
    }

    public RawException(String messageFormat, Object ...objects) {
        this(MessageFormat.format(messageFormat, objects));
    }
    public RawException(Throwable cause, String messageFormat, Object ...objects) {
        this(MessageFormat.format(messageFormat, objects),cause);
    }

    public RawException(Throwable cause, String message) {
        super(message, cause);
    }

    public RawException(Throwable cause) {
        super(cause);
    }


    public RawException(String message, Throwable cause) {
        super(message, cause);
    }

    public RawException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
